Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.triggers
Class DateAutoFolderingAction

    java.lang.Object
      oracle.ifs.core.triggers.AutoFolderingActionAdapter
          oracle.ifs.core.triggers.DateAutoFolderingAction

All Implemented Interfaces:
  AutoFolderingAction

    public class DateAutoFolderingAction

extends AutoFolderingActionAdapter

Sample AutoFolderingAction implementation that creates a folder structure of the form YYYY/MM/DD/hh/mm[/ss] under the given root. Creating the seconds (/ss) subfolder is options and it is controlled via the option USE_SECONDS which can be set on the specification pointing to this instance.

Field Summary
`static java.lang.String` | `ECM_USE_SECONDS`
`static java.lang.String` | `USE_SECONDS` Option indicating whether to use the seconds (/ss) subfolder.

Constructor Summary
`DateAutoFolderingAction()`

Method Summary
`Folder` | `getLeafFolder(Folder rootFolder, PublicObjectDefinition def)` Returns the leaf folder where the new object should be foldered, relative to the specified root folder.
`void` | `initialize(AutoFolderingActionSpecification spec)` Initialize this instance.

Methods inherited from class oracle.ifs.core.triggers.AutoFolderingActionAdapter
`createFolder, createFolder, getAutoFolderingActionSpecificationName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USE_SECONDS

    public static final java.lang.String USE_SECONDS

  Description copied from class: `DateAutoFolderingAction`
  Option indicating whether to use the seconds (/ss) subfolder. The value of the option can be set as a specification property by calling `AutoFolderingActionSpecification.setPropertyValue()` with a boolean AttributeValue. The default is false.

  See Also:
    Constant Field Values

### ECM_USE_SECONDS

    public static final java.lang.String ECM_USE_SECONDS

See Also:
  Constant Field Values

Constructor Detail

### DateAutoFolderingAction

    public DateAutoFolderingAction()

Method Detail

### initialize

    public void initialize(AutoFolderingActionSpecification spec)
                    throws IfsException

  Description copied from class: `DateAutoFolderingAction`
  Initialize this instance.

  Called immediately after construction (via the default constructor) and used so that the implementation can initialize session-independent state. This instance may be subsequently used concurrently by multiple threads and sessions. A session can be retrieved from the specification object, but it must not be cached. The specification also has the implementation and instance specific parameters which should be cached in a session independent way.

  Specified by:
    `initialize` in interface `AutoFolderingAction`
  Overrides:
    `initialize` in class `AutoFolderingActionAdapter`
  Parameters:
    `spec` - The specification for a given implementation.
  Throws:
    `IfsException` - if the operation fails.

### getLeafFolder

    public Folder getLeafFolder(Folder rootFolder,
                                PublicObjectDefinition def)
                         throws IfsException

  Description copied from class: `DateAutoFolderingAction`
  Returns the leaf folder where the new object should be foldered, relative to the specified root folder. The returned leaf folder could be a newly created folder or an existing folder, depending on the implementation.

  Specified by:
    `getLeafFolder` in interface `AutoFolderingAction`
  Overrides:
    `getLeafFolder` in class `AutoFolderingActionAdapter`
  Parameters:
    `rootFolder` - The root of the folder tree.
    `def` - The definition of the object about to be created.
  Returns:
    The leaf folder.
  Throws:
    `IfsException` - if the operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD